org.apache.xerces.impl.xs.models

## Class CMBuilder

- java.lang.Object
- - org.apache.xerces.impl.xs.models.CMBuilder

-     public class CMBuilder
      extends java.lang.Object

  This class constructs content models for a given grammar.
  Version:
    $Id: CMBuilder.java 1031717 2010-11-05 19:04:41Z sandygao $
  Author:
    Elena Litani, IBM, Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMBuilder(CMNodeFactory nodeFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSCMValidator` | `getContentModel(XSComplexTypeDecl typeDecl, boolean forUPA)` Get content model for a given type
    `XSCMValidator` | `getContentModel(XSParticleDecl particle)` Get content model for a given particle
    `void` | `setDeclPool(XSDeclarationPool declPool)`
    `void` | `setSchemaVersion(short version)` Set XML Schema 11 flag

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMBuilder

          public CMBuilder(CMNodeFactory nodeFactory)

  - ### Method Detail

    - #### setDeclPool

          public void setDeclPool(XSDeclarationPool declPool)

    - #### setSchemaVersion

          public void setSchemaVersion(short version)

      Set XML Schema 11 flag

    - #### getContentModel

          public XSCMValidator getContentModel(XSComplexTypeDecl typeDecl,
                                      boolean forUPA)

      Get content model for a given type
      Parameters:
        `typeDecl` - get content model for which complex type
      Returns:
        a content model validator

    - #### getContentModel

          public XSCMValidator getContentModel(XSParticleDecl particle)

      Get content model for a given particle
      Parameters:
        `particle` - get content model for which particle
      Returns:
        a content model validator

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.